﻿/*----------------------------------------------------------
La couleur de base pour ce modèle est #FFFFFF. Si vous voulez
utiliser une autre couleur, remplacez toutes les instances de
#FFFFFF par la nouvelle couleur.
----------------------------------------------------------*/

body
{
    background-color: #FFFFFF;
    font-size: .75em;
    font-family: Verdana, Helvetica, Sans-Serif;
    margin: 0;
    padding: 0;
    color: #696969;
}

/* cette règle applique les styles aux balises <h2> qui sont le 
premier enfant des colonnes de table gauche et droite*/
.rightColumn > h1, .rightColumn > h2, .leftColumn > h1, .leftColumn > h2
{
    margin-top: 0;
}

/* ÉLÉMENTS DE MISE EN FORME PRINCIPAUX   
----------------------------------------------------------*/

/* vous pouvez spécifier un pourcentage supérieur ou inférieur pour la largeur de la  
page. Ou bien, vous pouvez spécifier une largeur exacte en pixels. */
.page
{
    width: 100%;
}

#header
{
    position: relative;
    color: #000;
}

#header h1
{
    font-weight: bold;
    border: none;
    line-height: 2em;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 32px !important;
}

#main
{
    padding: 0px 0px 0px 0px;
    background-color: #fff;
    margin-bottom: 0px;
    _height: 1px; /* seul IE6 applique des propriétés CSS en commençant par un trait de soulignement */
}

#footer
{
    color: #999;
    padding: 10px 0;
    text-align: center;
    line-height: normal;
    margin: 0;
    font-size: .9em;
}

/* MENU de choix du profil 
----------------------------------------------------------*/
.logOnMenu
{
    display:inline; 
    margin: 0; 
    padding: 0;
}

/* Bouton submit (form) invisible 
----------------------------------------------------------*/
.hidden-submit {
    border: 0 none;
    height: 0;
    width: 0;
    padding: 0;
    margin: 0;
    overflow: hidden;
}

/* MENU DE L'ONGLET   
----------------------------------------------------------*/
ul#menu
{
    border-bottom: 1px #FFFFFF solid;
    padding: 0 0 2px;
    position: relative;
    margin: 0;
    text-align: right;
}

ul#menu li
{
    display: inline;
    list-style: none;
}

ul#menu li#greeting
{
    padding: 10px 20px;
    font-weight: bold;
    text-decoration: none;
    line-height: 2.8em;
    color: #fff;
}

ul#menu li a
{
    padding: 10px 20px;
    font-weight: bold;
    text-decoration: none;
    line-height: 2.8em;
    background-color: #e8eef4;
    color: #034af3;
}

ul#menu li a:hover
{
    background-color: #fff;
    text-decoration: none;
}

ul#menu li a:active
{
    background-color: #a6e2a6;
    text-decoration: none;
}

ul#menu li.selected a
{
    background-color: #fff;
    color: #000;
}

/* ÉLÉMENTS DE MISE EN FORME DU FORMULAIRE   
----------------------------------------------------------*/

fieldset 
{
    margin: 1em 0;
    padding: 1em;
    border: 1px solid #CCC;
}

fieldset p 
{
    margin: 2px 12px 10px 10px;
}

.required:after 
{
    content: "*";
    font-weight: bold;
    color: red; 
}

legend 
{
    font-size: 1.1em;
    font-weight: 600;
    padding: 2px 4px 8px 4px;
}

input[type="text"] 
{
    width: 200px;
    border: 1px solid #CCC;
}


input[readonly="True"]
{
    background-color:#EFEFEF;
}

input[type="password"] 
{
    width: 200px;
    border: 1px solid #CCC;
}

.attenteImage
{
    display:block;
    background: url(./images/gifanimes/attente.gif) no-repeat center left;
    width: 66px;
    height: 66px;
}

.editButton
{
    display:inline-block;
    background: url(./images/icones/edit.png) no-repeat top left;
    width: 16px;
    height: 16px;
    text-transform: capitalize;
    text-indent: -9999px; /* hides the link text */   
    *color: transparent;
    *text-indent: 0 !important; /* reset the old negative value */
}

.dcnxButton
{
    display:inline-block;
    background: url(./images/icones/logout.png) no-repeat center left;
    width: 16px;
    height: 16px;
    text-transform: capitalize;
    text-indent: -9999px; /* hides the link text */   
	margin-top:5px;
    *color: transparent;
    *text-indent: 0 !important; /* reset the old negative value */
}

.deleteButton
{
    display:inline-block;
    background: url(./images/icones/delete.png) no-repeat top left;
    width: 16px;
    height: 16px;
    text-transform: capitalize;
    text-indent: -9999px; /* hides the link text */
    *color: transparent;
    *text-indent: 0 !important; /* reset the old negative value */
}

.lockButton
{
    display:inline-block;
    background: url(./images/icones/lock.png) no-repeat top left;
    width: 16px;
    height: 16px;
    text-transform: capitalize;
    text-indent: -9999px; /* hides the link text */
    *color: transparent;
    *text-indent: 0 !important; /* reset the old negative value */
}

.unlockButton
{
    display:inline-block;
    background: url(./images/icones/unlock.png) no-repeat top left;
    width: 16px;
    height: 16px;
    text-transform: capitalize;
    text-indent: -9999px; /* hides the link text */
    *color: transparent;
    *text-indent: 0 !important; /* reset the old negative value */
}

.habilitationButton
{
    display:inline-block;
    background: url(./images/icones/habilitation.png) no-repeat top left;
    width: 16px;
    height: 16px;
    text-transform: capitalize;
    text-indent: -9999px; /* hides the link text */
    *color: transparent;
    *text-indent: 0 !important; /* reset the old negative value */
}

.exportButton
{
    display:inline-block;
    background: url(./images/icones/export.png) no-repeat top left;
    width: 16px;
    height: 16px;
    text-transform: capitalize;
    text-indent: -9999px; /* hides the link text */
    *color: transparent;
    *text-indent: 0 !important; /* reset the old negative value */
}

.validateButton
{
    display:inline-block;
    background: url(./images/icones/valider.png) no-repeat top left;
    width: 16px;
    height: 16px;
    text-transform: capitalize;
    text-indent: -9999px; /* hides the link text */
    *color: transparent;
    *text-indent: 0 !important; /* reset the old negative value */
}

.forceValidateButton
{
    display:inline-block;
    background: url(./images/icones/revalider.png) no-repeat top left;
    width: 16px;
    height: 16px;
    text-transform: capitalize;
    text-indent: -9999px; /* hides the link text */
    *color: transparent;
    *text-indent: 0 !important; /* reset the old negative value */
}

.glassButton
{
    display:inline-block;
    background: url(./images/icones/loupe.png) no-repeat top left;
    width: 16px;
    height: 16px;
    text-transform: capitalize;
    text-indent: -9999px; /* hides the link text */
    *color: transparent;
    *text-indent: 0 !important; /* reset the old negative value */
    border:0;
    border-color:transparent;
}

.inactiveGlassButton
{
    display:inline-block;
    background: url(./images/icones/loupeGrise.png) no-repeat top left;
    width: 16px;
    height: 16px;
    text-transform: capitalize;
    text-indent: -9999px; /* hides the link text */
    *color: transparent;
    *text-indent: 0 !important; /* reset the old negative value */
    border:0;
    border-color:transparent;
    pointer-events: none;
    cursor: default;
}

table 
{
    width: 100%;
}

.legende th 
{
    padding: 10px;
}

/* DIVERS  
----------------------------------------------------------*/
.clear
{
    clear: both;
}

.error
{
    color:Red;
}

#menucontainer
{
    margin-top:40px;
}

div#title
{
    display:block;
    float:left;
    text-align:left;
}

#logindisplay
{
    font-size:1.1em;
    display:block;
    text-align:right;
    margin:10px;
    color:White;
}

#logindisplay a:link
{
    color: white;
    text-decoration: underline;
}

#logindisplay a:visited
{
    color: white;
    text-decoration: underline;
}

#logindisplay a:hover
{
    color: white;
    text-decoration: none;
}

/* Styles pour les programmes d'assistance de validation
-----------------------------------------------------------*/
.field-validation-error
{
    color: #ff0000;
}

.field-validation-valid
{
    display: none;
}

.input-validation-error
{
    border: 1px solid #ff0000;
    background-color: #ffeeee;
}

.validation-summary-errors
{
    font-weight: bold;
    color: #ff0000;
}

.validation-summary-valid
{
    display: none;
}

/* Styles pour les programmes d'assistance d'éditeur et d'affichage
----------------------------------------------------------*/
.display-label
{
    width: 40%;
    text-align: right;
    padding-right: 10px;
    font-weight: bold;
    padding-bottom: 5px      
}

.display-field
{
    text-align: left;    
}

.editor-label
{
    width: 40%;
    text-align: right;
    padding-right: 10px;
    font-weight: bold;
    padding-bottom: 5px    
}

.editor-field
{
    text-align: left;  
}

.text-box
{
    width: 30em;
}

.text-box.multi-line
{
    height: 6.5em;
}

.tri-state
{
    width: 6em;
}

.tableau tr.exportPeriod
{
    background: #BF30B5;
    color: #FFFFFF;
}

.tableau thead th.noBackground
{
	text-align: center;
	height: 35px;
	border: 1px solid #CBC3C0;
	background-image:none;
	height: 34px;
	padding-left: 10px;
	padding-right: 10px;
	color: #414141;
	font-size: 1em;
}

a.soumise
{
    color: red;
}

a.retenue
{
    color: green;
}

a.rejetee
{
    color: purple;
}

a.negociee
{
    color: orange;
}